using Catel.Data;
using Catel.MVVM;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CatelSample.ViewModels.Base
{
    public class ViewModel_Base : ViewModelBase
    {
        public delegate Task Submit_Action(object e);

        public CatelSample.IContext Context;

        protected override void OnPropertyChanged(AdvancedPropertyChangedEventArgs e)
        {
            base.OnPropertyChanged(e);
        }

        public ViewModel_Base(CatelSample.IContext context)
            : base()
        {
            Context = context;
        }
    }
}